﻿using System;
using System.Collections.Generic;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace ImageLibrary {
	public class PhotoThumbnailer : BitmapProcessorBase {
		protected override Bitmap applyBitmapTransform(Bitmap bmp) {
			var width = 160;
			Double heightDouble = bmp.Height * (160 / Convert.ToDouble(bmp.Width));
			var height = Convert.ToInt32(heightDouble);
			var outputImg = bmp.GetThumbnailImage(width, height, () => { return false; }, IntPtr.Zero);
			return outputImg as Bitmap;
		}
	}
}
