﻿using System;
using System.Collections.Generic;
using System.IO;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace CloudLibrary {
	public class DownloaderProcessor : BlobProcessor {
		protected override void ProcessBlobStream(MemoryStream inputStream, MemoryStream outputStream) {
			var filePath = Path.Combine(@"G:\Temp", _blobName);

			using (var fileStream = new FileStream(filePath, FileMode.Create, FileAccess.Write)) {
				inputStream.WriteTo(fileStream);
				fileStream.Flush();
				fileStream.Close();
			}
		}
	}
}

